Package org.codehaus.groovy.runtime.callsite

# Class PojoMetaMethodSite.PojoCachedMethodSiteNoUnwrap

java.lang.Object
org.codehaus.groovy.runtime.callsite.AbstractCallSite
org.codehaus.groovy.runtime.callsite.MetaClassSite
org.codehaus.groovy.runtime.callsite.MetaMethodSite
org.codehaus.groovy.runtime.callsite.PlainObjectMetaMethodSite
org.codehaus.groovy.runtime.callsite.PojoMetaMethodSite
org.codehaus.groovy.runtime.callsite.PojoMetaMethodSite.PojoCachedMethodSite
org.codehaus.groovy.runtime.callsite.PojoMetaMethodSite.PojoCachedMethodSiteNoUnwrap

All Implemented Interfaces:
  `CallSite`

Enclosing class:
  PojoMetaMethodSite

public static class PojoMetaMethodSite.PojoCachedMethodSiteNoUnwrap extends PojoMetaMethodSite.PojoCachedMethodSite

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.callsite.PojoMetaMethodSite

  `PojoMetaMethodSite.PojoCachedMethodSite, PojoMetaMethodSite.PojoCachedMethodSiteNoUnwrap, PojoMetaMethodSite.PojoCachedMethodSiteNoUnwrapNoCoerce, PojoMetaMethodSite.PojoMetaMethodSiteNoUnwrap, PojoMetaMethodSite.PojoMetaMethodSiteNoUnwrapNoCoerce`

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.PojoMetaMethodSite

  `version`

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaMethodSite

  `params`

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

  `metaClass`

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `array, index, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PojoCachedMethodSiteNoUnwrap(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Object`
  `invoke(Object receiver, Object[] args)`

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.PojoMetaMethodSite

  `call, checkCall, checkCall, checkCall, checkCall, checkCall, checkCall, checkPojoMetaClass, createCachedMethodSite, createNonAwareCallSite, createPojoMetaMethodSite`

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.PlainObjectMetaMethodSite

  `doInvoke`

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PojoCachedMethodSiteNoUnwrap

    public PojoCachedMethodSiteNoUnwrap(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)

- ## Method Details

  - ### invoke

    public final Object invoke(Object receiver, Object[] args) throws Throwable
    Overrides:
      `invoke` in class `PojoMetaMethodSite.PojoCachedMethodSite`
    Throws:
      `Throwable`